import { APIResource } from "../../resource.js";
import * as LOADocumentsAPI from "./loa-documents.js";
import { LOADocumentCreateParams, LOADocumentCreateResponse, LOADocumentGetParams, LOADocuments } from "./loa-documents.js";
import * as ServicesAPI from "./services.js";
import { ServiceListParams, ServiceListResponse, ServiceListResponsesSinglePage, Services } from "./services.js";
import * as AddressMapsAPI from "./address-maps/address-maps.js";
import { AddressMap, AddressMapCreateParams, AddressMapCreateResponse, AddressMapDeleteParams, AddressMapDeleteResponse, AddressMapEditParams, AddressMapGetParams, AddressMapGetResponse, AddressMapListParams, AddressMaps, AddressMapsSinglePage, Kind } from "./address-maps/address-maps.js";
import * as PrefixesAPI from "./prefixes/prefixes.js";
import { Prefix, PrefixCreateParams, PrefixDeleteParams, PrefixDeleteResponse, PrefixEditParams, PrefixGetParams, PrefixListParams, Prefixes, PrefixesSinglePage } from "./prefixes/prefixes.js";
import * as RegionalHostnamesAPI from "./regional-hostnames/regional-hostnames.js";
import { RegionalHostnameCreateParams, RegionalHostnameCreateResponse, RegionalHostnameDeleteParams, RegionalHostnameDeleteResponse, RegionalHostnameEditParams, RegionalHostnameEditResponse, RegionalHostnameGetParams, RegionalHostnameGetResponse, RegionalHostnameListParams, RegionalHostnameListResponse, RegionalHostnameListResponsesSinglePage, RegionalHostnames } from "./regional-hostnames/regional-hostnames.js";
export declare class Addressing extends APIResource {
    regionalHostnames: RegionalHostnamesAPI.RegionalHostnames;
    services: ServicesAPI.Services;
    addressMaps: AddressMapsAPI.AddressMaps;
    loaDocuments: LOADocumentsAPI.LOADocuments;
    prefixes: PrefixesAPI.Prefixes;
}
export declare namespace Addressing {
    export { RegionalHostnames as RegionalHostnames, type RegionalHostnameCreateResponse as RegionalHostnameCreateResponse, type RegionalHostnameListResponse as RegionalHostnameListResponse, type RegionalHostnameDeleteResponse as RegionalHostnameDeleteResponse, type RegionalHostnameEditResponse as RegionalHostnameEditResponse, type RegionalHostnameGetResponse as RegionalHostnameGetResponse, RegionalHostnameListResponsesSinglePage as RegionalHostnameListResponsesSinglePage, type RegionalHostnameCreateParams as RegionalHostnameCreateParams, type RegionalHostnameListParams as RegionalHostnameListParams, type RegionalHostnameDeleteParams as RegionalHostnameDeleteParams, type RegionalHostnameEditParams as RegionalHostnameEditParams, type RegionalHostnameGetParams as RegionalHostnameGetParams, };
    export { Services as Services, type ServiceListResponse as ServiceListResponse, ServiceListResponsesSinglePage as ServiceListResponsesSinglePage, type ServiceListParams as ServiceListParams, };
    export { AddressMaps as AddressMaps, type AddressMap as AddressMap, type Kind as Kind, type AddressMapCreateResponse as AddressMapCreateResponse, type AddressMapDeleteResponse as AddressMapDeleteResponse, type AddressMapGetResponse as AddressMapGetResponse, AddressMapsSinglePage as AddressMapsSinglePage, type AddressMapCreateParams as AddressMapCreateParams, type AddressMapListParams as AddressMapListParams, type AddressMapDeleteParams as AddressMapDeleteParams, type AddressMapEditParams as AddressMapEditParams, type AddressMapGetParams as AddressMapGetParams, };
    export { LOADocuments as LOADocuments, type LOADocumentCreateResponse as LOADocumentCreateResponse, type LOADocumentCreateParams as LOADocumentCreateParams, type LOADocumentGetParams as LOADocumentGetParams, };
    export { Prefixes as Prefixes, type Prefix as Prefix, type PrefixDeleteResponse as PrefixDeleteResponse, PrefixesSinglePage as PrefixesSinglePage, type PrefixCreateParams as PrefixCreateParams, type PrefixListParams as PrefixListParams, type PrefixDeleteParams as PrefixDeleteParams, type PrefixEditParams as PrefixEditParams, type PrefixGetParams as PrefixGetParams, };
}
//# sourceMappingURL=addressing.d.ts.map