// File generated from our OpenAPI spec by Stainless. See CONTRIBUTING.md for details.
import { APIResource } from "../../../../../resource.mjs";
import { SplitTunnelIncludesSinglePage } from "../policies.mjs";
export class Includes extends APIResource {
    /**
     * Sets the list of routes included in the WARP client's tunnel for a specific
     * device settings profile.
     */
    update(policyId, params, options) {
        const { account_id, body } = params;
        return this._client.getAPIList(`/accounts/${account_id}/devices/policy/${policyId}/include`, SplitTunnelIncludesSinglePage, { body: body, method: 'put', ...options });
    }
    /**
     * Fetches the list of routes included in the WARP client's tunnel for a specific
     * device settings profile.
     */
    get(policyId, params, options) {
        const { account_id } = params;
        return this._client.getAPIList(`/accounts/${account_id}/devices/policy/${policyId}/include`, SplitTunnelIncludesSinglePage, options);
    }
}
export { SplitTunnelIncludesSinglePage };
//# sourceMappingURL=includes.mjs.map