import { APIResource } from "../../../resource.js";
import * as Core from "../../../core.js";
export declare class Unrevoke extends APIResource {
    /**
     * Unrevokes a list of devices.
     */
    create(params: UnrevokeCreateParams, options?: Core.RequestOptions): Core.APIPromise<UnrevokeCreateResponse | null>;
}
export type UnrevokeCreateResponse = unknown | string;
export interface UnrevokeCreateParams {
    /**
     * Path param:
     */
    account_id: string;
    /**
     * Body param: A list of device ids to unrevoke.
     */
    body: Array<string>;
}
export declare namespace Unrevoke {
    export { type UnrevokeCreateResponse as UnrevokeCreateResponse, type UnrevokeCreateParams as UnrevokeCreateParams, };
}
//# sourceMappingURL=unrevoke.d.ts.map